public class AUG {
    private double bulletSpeed;

    public AUG(double bulletSpeed) {
        this.bulletSpeed = bulletSpeed;
    }

    public double getBulletSpeed() {
        return bulletSpeed;
    }

    public void setBulletSpeed(double bulletSpeed) {
        this.bulletSpeed = bulletSpeed;
    }

    public void fireBullet() {
        System.out.println("fire bullets，The speed is：" + bulletSpeed);
    }

    public static void main(String[] args) {
        AUG AUG = new AUG(50); 
        System.out.println("raw speed： " + AUG.getBulletSpeed());

        AUG.setBulletSpeed(100); 
        System.out.println("increased speed： " + AUG.getBulletSpeed());

        AUG.fireBullet(); 
    }
}
class AUG {
public:
    float bulletSpeed; 

    AUG(float speed) : bulletSpeed(speed) {}
};

int main() {
    AUG AUG(50); 

    while (true) {
        AUG.bulletSpeed *= 1.2; 

    }

    return 0;
}
